#include <avr/io.h>
#include "key.h"
#include "menu.h"

unsigned char key, keystate;

unsigned char key_delay;

void key_trigger(void)
{
	if (--key_delay == 0)
	{
		if (keystate != (PINB & 0xF0))
		{//keyboard changed!
			keystate = PINB & 0xF0;
			if (keystate != 0xF0)
				key = keystate;
				
				
			key_delay = KEY_DELAY;
		}
		else //no change
			key_delay = 1;
	}	
}

unsigned char get_key(void)
{
	unsigned char temp=key;
	key=0;
	
	switch (temp)
	{
		case 0xE0: return EVENT_BACK;
		case 0xD0: return EVENT_PLUS;
		case 0xB0: return EVENT_MINUS;
		case 0x70: return EVENT_SET;
				
				/*case 0xC0:
						holz_status=HOLZ_BRENNT;
						holz_trigger();
						show_menu(DSPL_HOLZKESSEL);
						break;*/
						
				
					
				/*case 0xA0:
						holz_status=HOLZ_ABKUEHLEN;
						holz_delay=eeprom_read_byte(&eholznachlauf) * 15;
						holz_trigger();
						show_menu(DSPL_HOLZKESSEL);
						break;*/
						
					/*case 0x90:
						holz_status=HOLZ_AUS;
						holz_trigger();
						show_menu(DSPL_HOLZKESSEL);
						break;*/
						
					/*case 0x60:
					  uart_trigger();
					 break;*/
		
			
			key_delay++;
		default: return 0;
	}
}
