#include <avr/io.h>
#include "solar.h"
#include "fuehler.h"
#include "relais.h"
#include "menu.h"


void solar_trigger(void)
{
	signed short solar_diff;
	solar_diff = get_fuehler(NTC_SOLAR) - get_fuehler(NTC_BOILER_UNTEN);

	if (solar_diff >= SOLAR_DIFF_ON)
	{
		RELAIS_SOLAR_ON;
	}
		
	if (solar_diff <= SOLAR_DIFF_OFF)
	{
		RELAIS_SOLAR_OFF;
	}
}
