#include <avr/pgmspace.h>

const char str_brauchwasser_menu[] PROGMEM = "BRAUCHWASSER\n Oben :\n Unten:\n Solar:";
const char str_heizung_menu[] PROGMEM = "HEIZUNG\n Vorlauf  :\n Ruecklauf:\n Soll:       Aussen:";
const char str_holzkessel_menu[] PROGMEM = "HOLZKESSEL\n Vorlauf  :\n Ruecklauf:\n Status:";
const char str_oelkessel_menu[] PROGMEM = "OELKESSEL\n Vorlauf  :\n Ruecklauf:\n Status:";
const char str_status_menu[] PROGMEM = "STATUS\n Brauchwasser:\n Heizung:\n Quelle:";
const char str_service_menu[] PROGMEM = "SERVICEMENUE";
const char str_heizkurve_menu[] PROGMEM = "HEIZKURVE\n Exponent:\n Max. Vorlauf:\n Min. Aussen:";
const char str_raumniveau_menu[] PROGMEM = "RAUMTEMPERATUR\n Raumtemp. 1:\n Raumtemp. 2:\n Niveau:";
const char str_heizmode_menu[] PROGMEM = "HEIZUNG\n Betrieb:\n Von:\n Bis:";
const char str_oelmodus_menu[] PROGMEM = "OEL-BRENNER\n Betrieb:\n Von:\n Bis:";
const char str_heizgrenze_menu[] PROGMEM = "HEIZGRENZE\n Normalbetr.:\n Absenkbetr.:";
const char str_bwprio_menu[] PROGMEM = "BRAUCHWASSERVORRANG";

const char str_startup[] PROGMEM = "*** Startvorgang...";
const char str_status[] PROGMEM = "Status: ";
const char str_aus[] PROGMEM = "Aus ";
const char str_brennt[] PROGMEM = "Brennt ";
const char str_abkuehlen[] PROGMEM = "Abkuehlen ";
const char str_ein[] PROGMEM = "Ein ";
const char str_aufheizen[] PROGMEM = "Aufheizen ";
const char str_nachlauf[] PROGMEM = "Nachlauf ";
const char str_energie[] PROGMEM = "Energie!";
const char str_puffer[] PROGMEM = "Puffer";
const char str_bwvorrang[] PROGMEM = "BW Vorrang";
const char str_oel[] PROGMEM = "Oel";
const char str_holz[] PROGMEM = "Holz";
const char str_ok[] PROGMEM = "OK";
const char str_frei[] PROGMEM = "Frei: ";
const char str_kesselmischer[] PROGMEM = "Kesselmischer: ";
const char str_mischeraufzu[] PROGMEM = "Mischer auf/zu: ";
const char str_mischeraktiv[] PROGMEM = "Mischer aktiv: ";
const char str_solarpumpe[] PROGMEM = "Solarpumpe: ";
const char str_speicherpumpe[] PROGMEM = "Speicherpumpe: ";
const char str_holzpumpe[] PROGMEM = "Holzpumpe: ";
const char str_heizpumpe[] PROGMEM = "Heizpumpe: ";
const char str_oelbrenner[] PROGMEM = "Oelbrenner: ";

const char str_heizmode_aus[] PROGMEM = "Aus/Aus";
const char str_heizmode_aus_absenk[] PROGMEM = "Aus/Absenk";
const char str_heizmode_absenk_absenk[] PROGMEM = "Absenk/Absenk";
const char str_heizmode_norm_absenk[] PROGMEM = "Normal/Absenk";
const char str_heizmode_norm_norm[] PROGMEM = "Normal/Normal";

const PGM_P str_holz_states[] PROGMEM = {str_aus, str_brennt, str_abkuehlen};
const PGM_P str_oel_states[] PROGMEM = {str_aus, str_aufheizen, str_ein, str_nachlauf};
const PGM_P str_heizung_states[] PROGMEM = {str_aus, str_bwvorrang, str_ein, str_energie};
const PGM_P str_brauchwasser_states[] PROGMEM = {str_aus, str_ok, str_aufheizen, str_energie};
const PGM_P str_source_types[] PROGMEM = {str_puffer, str_oel, str_holz};

const PGM_P str_services[] PROGMEM = {str_frei, str_kesselmischer, str_mischeraufzu, str_mischeraktiv,
																			str_solarpumpe, str_speicherpumpe, str_holzpumpe, str_heizpumpe,
																			str_oelbrenner, str_frei};


const char str_mode_off[] PROGMEM = "Aus";
const char str_mode_bw[] PROGMEM = "BW ";
const char str_mode_heizung[] PROGMEM = "Heizung";
const char str_mode_bw_heizung[] PROGMEM = "Heizung & BW";
const PGM_P str_oelmodes[] PROGMEM = {str_mode_off, str_mode_bw, str_mode_heizung, str_mode_bw_heizung};
																				

const PGM_P str_heizmodes[] PROGMEM = {str_heizmode_aus, str_heizmode_aus_absenk,
																			 str_heizmode_absenk_absenk, str_heizmode_norm_absenk,
																			 str_heizmode_norm_norm};
